#! /usr/bin/env python

from lightflow import *

s = scene()

s.lightOn( s.newLight( "point", [ "position", vector3( 5.0, -5.0, 4.0 ), "color", vector3( 300.0, 300.0, 300.0 ) ] ) )


plastic = s.newMaterial( "standard", [ "ka", vector3( 0, 0, 0.5 ), "kc", vector3( 1, 0.5, 0.5 ), "kd", 0.5, "km", 0.1 ] )


s.materialBegin( plastic )

for j in range(0, 10) :
    for i in range(0, 100) :
	s.transformBegin( transform().rotationAroundZ( 2.0 * 3.141592 * i / 100.0 ) )
	s.transformBegin( transform().translation( vector3( j / 10.0 + 0.5, 0, 0 ) ) )

	s.addObject( s.newObject( "sphere", [ "radius", 0.1 ] ) )

	s.transformEnd()
	s.transformEnd()

s.materialEnd()


saver = s.newImager( "tga-saver", [ "file", "ball1000.tga" ] )

s.imagerBegin( saver )

camera = s.newCamera( "pinhole", [ "eye", vector3( 0, -3, 3 ), "aim", vector3( 0, 0, 0 ) ] )

s.imagerEnd()

s.render( camera, 300, 300 )
