#! /usr/bin/env python

from lightflow import *

s = scene()

s.lightOn( s.newLight( "point", [ "position", vector3( 5.0, -5.0, 4.0 ), "color", vector3( 300.0, 300.0, 300.0 ) ] ) )


bump = s.newPattern( "multifractal", [ "basis", "sin", "scale", 0.6, "depth", 0.2, "turbulence.omega", 0.5, 0.7, "turbulence.octaves", 6 ] )

plastic = s.newMaterial( "standard", [ "ka", vector3( 0, 0, 0.05 ), "kc", vector3( 1, 1, 1 ), "kd", 0.5, "km", 0.1, "displacement", bump ] )


s.materialBegin( plastic )

sphere = s.newObject( "sphere", [ "radius", 1.0 ] )

s.addObject( s.newObject( "gsurface", [ "surface", sphere, "subdivision", 4, 4, "sampling", 8, 4, "tolerance", 0.01, 0.05 ] ) )

s.materialEnd()


saver = s.newImager( "tga-saver", [ "file", "ball2.tga" ] )

s.imagerBegin( saver )

camera = s.newCamera( "pinhole", [ "eye", vector3( 0, -4, 0 ), "aim", vector3( 0, 0, 0 ) ] )

s.imagerEnd()

s.render( camera, 300, 300 )
