#! /usr/bin/env python

from lightflow import *

s = scene()

s.lightOn( s.newLight( "point", [ "position", vector3( 5.0, -5.0, 4.0 ), "color", vector3( 300.0, 300.0, 300.0 ) ] ) )


gas = s.newInterior( "dust", [ "kr", vector3(1.0, 0.9, 0.8), "kaf", 0.3, "density", 0.3, "sampling", 40.0, "caching", vector3(-1.2,-1.2,-1.2), vector3(1.2,1.2,1.2) ] )

s.interiorBegin( gas )

cloud = s.newMaterial( "transparent", [] )

s.interiorEnd()


s.materialBegin( cloud )

s.addObject( s.newObject( "sphere", [ "radius", 1.2 ] ) )

s.materialEnd()


plastic = s.newMaterial( "standard", [ "ka", vector3( 0, 0, 0.5 ), "kc", vector3( 1, 0.5, 0.5 ), "kd", 0.5, "km", 0.1 ] )

s.materialBegin( plastic )

s.addObject( s.newObject( "sphere", [ "radius", 0.5 ] ) )

s.materialEnd()


saver = s.newImager( "tga-saver", [ "file", "ball3.tga" ] )

s.imagerBegin( saver )

camera = s.newCamera( "pinhole", [ "eye", vector3( 0, -4, 0 ), "aim", vector3( 0, 0, 0 ) ] )

s.imagerEnd()

s.render( camera, 300, 300 )
