#! /usr/bin/env python

from math import *
from lightflow import *

s = scene()

s.lightOn( s.newLight( "point", [ "position", vector3( -8.0, -5.0, 6.0 ), "color", vector3( 1.0*400, 1.0*400, 1.0*400 ) ] ) )


plastic = s.newMaterial( "standard", [ "ka", vector3( 0, 0, 0.5 ), "kc", vector3( 1, 0.5, 0.5 ), "kd", 0.5, "km", 0.1 ] )


s.materialBegin( plastic )

s.addObject( s.newObject( "blob",
			  [ "threshold", 0.5,
			    "blob", vector3( -0.5, 0, 0), 0.8,
			    "blob", vector3(  0.5, 0, 0), 0.8,
			    "blob", vector3(  1.0, 0, 0), 0.8,
			    "blob", vector3( -1.0, 0, 0), 0.8 ] ) )

s.materialEnd()


saver = s.newImager( "tga-saver", [ "file", "blob.tga" ] )

s.imagerBegin( saver )

camera = s.newCamera( "pinhole", [ "eye", vector3( 0, -4, 0 ), "aim", vector3( 0, 0, 0 ) ] )

s.imagerEnd()

s.render( camera, 300, 300 )
