#! /usr/bin/env python

from math import *
from lightflow import *

s = scene()

s.lightOn( s.newLight( "point", [ "position", vector3( 5.0, -5.0, 4.0 ), "color", vector3( 300.0, 300.0, 300.0 ) ] ) )


plastic = s.newMaterial( "standard", [ "ka", vector3( 0, 0, 0.5 ), "kc", vector3( 1, 0.5, 0.5 ), "kd", 0.5, "km", 0.1 ] )


s.materialBegin( plastic )

blobs = [ "threshold", 0.5 ]

for i in range(0, 18) :
    u = 2.0 * pi * i / 18.0

    blobs.append( "blob" )
    blobs.append( vector3( cos(u), sin(u), 0 ) )
    blobs.append( 0.3 )

    blobs.append( "blob" )
    blobs.append( vector3( cos(u), sin(u), -0.25 ) )
    blobs.append( 0.25 )

s.addObject( s.newObject( "blob", blobs ) )

s.materialEnd()


saver = s.newImager( "tga-saver", [ "file", "blob100.tga" ] )

s.imagerBegin( saver )

camera = s.newCamera( "pinhole", [ "eye", vector3( 0, -3, 3 ), "aim", vector3( 0, 0, 0 ) ] )

s.imagerEnd()

s.render( camera, 300, 300 )
