#! /usr/bin/env python

from math import *
from lightflow import *

s = scene()

s.lightOn( s.newLight( "point", [ "position", vector3( 5.0, -5.0, 4.0 ), "color", vector3( 300.0, 300.0, 300.0 ) ] ) )


plastic = s.newMaterial( "standard", [ "ka", vector3( 0, 0, 0.5 ), "kc", vector3( 1, 0.5, 0.5 ), "kd", 0.5, "km", 0.1 ] )


s.materialBegin( plastic )

blobs = [ "threshold", 0.5 ]

for j in range(0, 3) :
    for i in range(0, 18) :
	u = 2.0 * pi * i / 18.0

	r = j/3.0 + 1

	blobs.append( "blob" )
	blobs.append( vector3( cos(u)*r, sin(u)*r, 0 ) )
	blobs.append( 0.3 )
	if i % 4 :
	    blobs.append( 1.0 )
	else:
	    blobs.append( -1.0 )

s.addObject( s.newObject( "blob", blobs ) )

s.materialEnd()


saver = s.newImager( "tga-saver", [ "file", "blob1000.tga" ] )

s.imagerBegin( saver )

camera = s.newCamera( "pinhole", [ "eye", vector3( 0, -3, 3 ), "aim", vector3( 0, 0, 0 ) ] )

s.imagerEnd()

s.render( camera, 300, 300 )
