#! /usr/bin/env python

from math import *
from lightflow import *

s = scene()

s.lightOn( s.newLight( "point", [ "position", vector3( -8.0, -5.0, 6.0 ), "color", vector3( 1.0*400, 1.0*400, 1.0*400 ) ] ) )


blobpattern = s.newPattern( "blob",
			     [ "blob", vector3( -0.5, 0, 0), 0.8,
			       "blob", vector3(  0.5, 0, 0), 0.8,
			       "blob", vector3(  1.0, 0, 0), 0.8,
			       "blob", vector3( -1.0, 0, 0), 0.8 ] )

plastic = s.newMaterial( "standard", [ "ka", vector3( 0, 0, 0.5 ), "kc", vector3( 1, 0.5, 0.5 ), "kd", 0.5, "km", 0.1 ] )

blobinterior = s.newInterior( "hyper",
 			       [ "material", plastic,
				 "density", 0.5,
				 "density", blobpattern, 
				 "caching", 2048, vector3( -2, -2, -2 ), vector3( 2, 2, 2 ) ] )

s.interiorBegin( blobinterior )

blob = s.newMaterial( "transparent", [] )

s.interiorEnd()


s.materialBegin( blob )

s.addObject( s.newObject( "sphere", [ "radius", 2.0 ] ) )

s.materialEnd()


saver = s.newImager( "tga-saver", [ "file", "hyperblob.tga" ] )

s.imagerBegin( saver )

camera = s.newCamera( "pinhole", [ "eye", vector3( 0, -4, 0 ), "aim", vector3( 0, 0, 0 ) ] )

s.imagerEnd()

s.render( camera, 300, 300 )
