#! /usr/bin/env python

from lightflow import *

s = scene()

s.lightOn( s.newLight( "point", [ "position", vector3(  4.0, -6.0, -5.0 ), "color", vector3( 200.0, 200.0, 200.0 ) ] ) )
light1 = s.newLight( "point", [ "position", vector3( -7.5, -6.0, 2.0 ), "color", vector3( 300.0, 150.0, 150.0 ) ] )
light2 = s.newLight( "point", [ "position", vector3( -2.0,  0.0, 8.0 ), "color", vector3( 150.0, 300.0, 150.0 ) ] )
light3 = s.newLight( "point", [ "position", vector3(  8.0, -6.0, 5.0 ), "color", vector3( 150.0, 150.0, 300.0 ) ] )


s.lightBegin()
s.lightOn( light1 )

plastic1 = s.newMaterial( "standard", [ "ka", vector3( 0.1, 0.1, 0.1 ), "kc", vector3( 1, 1, 1 ), "kd", 0.5, "km", 0.1 ] )

s.lightEnd()

s.lightBegin()
s.lightOn( light2 )

plastic2 = s.newMaterial( "standard", [ "ka", vector3( 0.1, 0.1, 0.1 ), "kc", vector3( 1, 1, 1 ), "kd", 0.5, "km", 0.1 ] )

s.lightEnd()

s.lightBegin()
s.lightOn( light3 )

plastic3 = s.newMaterial( "standard", [ "ka", vector3( 0.1, 0.1, 0.1 ), "kc", vector3( 1, 1, 1 ), "kd", 0.5, "km", 0.1 ] )

s.lightEnd()


s.transformBegin( transform().translation( vector3( -2.0, 0, 0 ) ) )

s.materialBegin( plastic1 )

s.addObject( s.newObject( "sphere", [ "radius", 1.0 ] ) )

s.materialEnd()

s.transformEnd()


s.materialBegin( plastic2 )

s.addObject( s.newObject( "sphere", [ "radius", 1.0 ] ) )

s.materialEnd()


s.transformBegin( transform().translation( vector3( 2.0, 0, 0 ) ) )

s.materialBegin( plastic3 )

s.addObject( s.newObject( "sphere", [ "radius", 1.0 ] ) )

s.materialEnd()

s.transformEnd()


saver = s.newImager( "tga-saver", [ "file", "lights.tga" ] )

s.imagerBegin( saver )

camera = s.newCamera( "pinhole", [ "eye", vector3( 0, -5, 0 ), "aim", vector3( 0, 0, 0 ), "distance", 0.75 ] )

s.imagerEnd()

s.render( camera, 300, 300 )
