#! /usr/bin/env python

from lightflow import *

for f in range(0, 150) :
    print "\nSmoke Animation\nFrame %03d\n" % f
    
    s = scene()

    s.lightOn( s.newLight( "point", [ "position", vector3( 6.0, -4.0, 4.0 ), "color", vector3( 400.0, 400.0, 400.0 ) ] ) )


    smokepattern = s.newPattern( "smoke",
				 [ "source", vector3( 0, 0, -1.5 ),
				   "speed", 8.0,
				   "time", f / 100.0,
				   "turbulence.amount", 0.12 ] )

    smoke = s.newInterior( "cloud",
			   [ "kr", vector3( 1.5, 1.5, 1.5 ),
			     "kaf", 1.0,
			     "density", 2.0,
			     "density", smokepattern,
			     "sampling", 20.0, 4,
			     "shadow-caching", vector3(-1.0, -1.0, -1.6), vector3(1.0, 1.0, 3.0),
			     "density-caching", 8192, vector3(-1.0, -1.0, -1.6), vector3(1.0, 1.0, 3.0) ] )

    s.interiorBegin( smoke )

    atmosphere = s.newMaterial( "transparent", [] )

    s.interiorEnd()


    plastic = s.newMaterial( "standard",
			     [ "kc", vector3( 0.5, 0.6, 1.0 ),
			       "kr", vector3( 0.1, 0.1, 0.2 ),
			       "kd", 0.7 ] )


    s.materialBegin( atmosphere )

    s.addObject( s.newObject( "box", [ "position", vector3( -1, -1, -1.6 ), vector3( 1, 1, 3.0 ) ] ) )

    s.materialEnd()


    s.materialBegin( plastic )

    s.transformBegin( transform().translation( vector3( 0, 0, -1.5 ) ) )

    s.addObject( s.newObject( "disc", [ "radius", 10.0 ] ) )

    s.transformEnd()

    s.materialEnd()



    saver = s.newImager( "tga-saver", [ "file", ("smoke%03d" % f) + ".tga" ] )

    s.imagerBegin( saver )

    camera = s.newCamera( "pinhole", [ "eye", vector3( 1, -4, 2 ), "aim", vector3( 0, 0, 0 ) ] )

    s.imagerEnd()


    s.render( camera, 300, 300 )
